Last Comment Bug 780048 - Some input stream types cannot be transferred via IPC
: Some input stream types cannot be transferred via IPC
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla17
Assigned To: Ben Turner (not reading bugmail, use the needinfo flag!)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-02 17:24 PDT by Ben Turner (not reading bugmail, use the needinfo flag!)
Modified: 2012-08-04 11:18 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch, v1 (8.89 KB, patch)
2012-08-02 17:24 PDT, Ben Turner (not reading bugmail, use the needinfo flag!)
khuey: review+
Details | Diff | Review

Description Ben Turner (not reading bugmail, use the needinfo flag!) 2012-08-02 17:24:20 PDT
Created attachment 648579 [details] [diff] [review]
Patch, v1

My IPC blob tests reveal two kinds of blob input streams that are currently triggering main thread copies. Patch attached fixes both.
Comment 1 Kyle Huey [:khuey] (khuey@mozilla.com) 2012-08-03 12:26:11 PDT
Comment on attachment 648579 [details] [diff] [review]
Patch, v1

Review of attachment 648579 [details] [diff] [review]:
-----------------------------------------------------------------

I may be wrong, but there's no need to implement nsIClassInfo on DataOwnerAdapter, right?  Just hand out the pointer you have for it.
Comment 2 Kyle Huey [:khuey] (khuey@mozilla.com) 2012-08-03 12:40:14 PDT
Comment on attachment 648579 [details] [diff] [review]
Patch, v1

Review of attachment 648579 [details] [diff] [review]:
-----------------------------------------------------------------

bent convinced me that's not important.
Comment 3 Ben Turner (not reading bugmail, use the needinfo flag!) 2012-08-03 13:13:13 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/21d92e8dd85a
Comment 5 Ed Morley [:emorley] 2012-08-03 13:29:39 PDT
(In reply to Ed Morley [:edmorley] from comment #4)
> https://hg.mozilla.org/integration/mozilla-inbound/rev/21d92e8dd85a

Sorry, meant https://hg.mozilla.org/integration/mozilla-inbound/rev/c206e3d4a533
Comment 6 Ben Turner (not reading bugmail, use the needinfo flag!) 2012-08-03 13:40:50 PDT
Crapo. That's the bug about XPIDL generating bad macros... Lame.

Fixed:

https://hg.mozilla.org/integration/mozilla-inbound/rev/ec210ececc2c
Comment 7 Ed Morley [:emorley] 2012-08-04 11:18:48 PDT
https://hg.mozilla.org/mozilla-central/rev/ec210ececc2c

Note You need to log in before you can comment on or make changes to this bug.